<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">


    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@drawable/background_login">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/constrainlayout_login"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:visibility="visible"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <TextView
                android:id="@+id/textview_welcome"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/default_layout_margin"
                android:layout_marginTop="16dp"
                android:text="@string/Bienvenido"
                android:textColor="@android:color/white"
                android:textSize="14dp"
                android:textStyle="bold"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />


            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/textinputlayout_server"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="0dp"
                android:textColorHint="@android:color/darker_gray"
                app:layout_constraintStart_toStartOf="@id/textview_welcome"
                app:layout_constraintTop_toBottomOf="@id/textview_welcome">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/edittext_server"
                    style="@style/InputLineText"
                    inputType="none"
                    android:layout_width="match_parent"
                    android:layout_margin="8dp"
                    android:backgroundTint="@android:color/white"
                    android:clickable="true"
                    android:drawableRight="@drawable/ic_chevron_right_black_24dp"
                    android:hint="Server:"
                    android:inputType="text"
                    android:lines="1"
                    android:maxLines="1"
                    android:textColor="@color/verdnatura_white"

                    android:textColorHint="@android:color/darker_gray" />


            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/textinputlayout_username"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="0dp"
                android:textColorHint="@android:color/darker_gray"
                app:layout_constraintStart_toStartOf="@id/textinputlayout_server"
                app:layout_constraintTop_toBottomOf="@id/textinputlayout_server">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/edittext_username"
                    style="@style/InputLineText"
                    android:layout_width="match_parent"
                    android:layout_margin="8dp"
                    android:backgroundTint="@android:color/white"
                    android:hint="@string/Usuario"
                    android:inputType="text"
                    android:lines="1"
                    android:maxLines="1"
                    android:textColor="@color/verdnatura_white"
                    android:textColorHint="@android:color/darker_gray" />
            </com.google.android.material.textfield.TextInputLayout>


            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/textinputlayout_password"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:textColorHint="@android:color/darker_gray"
                app:errorEnabled="true"
                app:layout_constraintStart_toStartOf="@id/textinputlayout_username"
                app:layout_constraintTop_toBottomOf="@id/textinputlayout_username"
                app:passwordToggleEnabled="true"
                app:passwordToggleTint="@android:color/white">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/edittext_password"
                    style="@style/InputLineText"
                    android:layout_width="match_parent"
                    android:layout_margin="8dp"
                    android:backgroundTint="@android:color/white"
                    android:gravity="center_vertical"
                    android:hint="Password"
                    android:inputType="textPassword"
                    android:lines="1"
                    android:maxLines="1"
                    android:textColor="@color/verdnatura_white"
                    android:textColorHint="@android:color/darker_gray" />

            </com.google.android.material.textfield.TextInputLayout>


            <TextView
                android:id="@+id/textview_remember_user"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/default_layout_margin"
                android:text="@string/saveSesion"
                android:textColor="@android:color/white"
                android:textSize="@dimen/body2"
                android:textStyle="bold"
                app:layout_constraintEnd_toStartOf="@+id/switch_remember"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/textinputlayout_password" />

            <Switch
                android:id="@+id/switch_remember"
                style="@style/DefaultButton"
                android:layout_width="70dp"
                android:layout_marginEnd="@dimen/default_layout_margin"
                android:background="@android:color/transparent"
                android:checked="false"
                android:thumb="@drawable/drawable_white_circle"
                android:track="@drawable/btn_ios_like"
                app:layout_constraintBottom_toBottomOf="@+id/textview_remember_user"
                app:layout_constraintEnd_toEndOf="@id/textinputlayout_password"
                app:layout_constraintTop_toTopOf="@id/textview_remember_user" />

            <Button
                android:id="@+id/button_login"
                style="@style/DefaultButton"
                android:layout_width="0dp"
                android:layout_marginStart="16dp"
                android:layout_marginTop="16dp"
                android:layout_marginEnd="16dp"
                android:background="@drawable/btn_orange"
                android:text="@string/Entrar"
                android:textColor="@color/verdnatura_white"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/textview_remember_user" />

            <Button
                android:id="@+id/textview_remember_password"
                style="@style/TextButton"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/default_layout_margin"
                android:layout_marginStart="16dp"
                android:layout_marginEnd="16dp"
                android:paddingStart="@dimen/layout_margin_3"
                android:paddingEnd="@dimen/layout_margin_3"
                android:text="@string/Borrardatosdeacceso"
                android:textAllCaps="false"
                android:textColor="@color/verdnatura_white"
                android:textStyle="normal"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/button_login" />
        </androidx.constraintlayout.widget.ConstraintLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>

</layout>